General ⇒ $this->Website :: Archives ⇒ Problems reaching DF site with firefox :: Archived ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum Index$this->Website

Archived ⇒ Problems reaching DF site with firefox


My firefox automatically installed its updates, and it happened again; I can no more visit www.cpgnuke.com with firefox:
"Unknown user-agent
You are banned from this site due to a unknown user-agent."

The happened on my sites until the DEFAULT "filter user agents" option was on.

I really wonder whether "filter user agents" option is on here to filter out firefox users and whether it is also the reason why it is "ON" by default in Dragonfly 9.1.2.1.

P.S.
Moderators, please delete this post without notice, just like you did with those posts of mine that dealt with the same problem some days ago, and my post on the "captcha for guest post" issue. It really does not matter wheher you filter out half of the internet, or you cannot operate a guestbook. What matters is that this site should be clean.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
SuSE 10.1, Apache/2.2.0, php 5.1.2, DragonFly 9.1.2.1


It might be because of any of the extension you have, as they may modify the user-agent string your browser is sending to the website.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
-


I use firefox. Its the only browser I use. I have never had a problem connecting to this site.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Multiple Setups


Same here - I have more problems with IE than FF when designing for Dragonfly.

I automatically download and install all updates for FF and have never had a problem accessing any of the Dragonfly sites I visit (about 12 regularly).

The filter agents option is to keep out scripts and bad bots. Sometimes when a new browser version comes out, it will update the agent string. I suggest you search for how to add a browser agent string to your filter.

Admin - Great Lakes Web Designs
Theme Designer - WebSite Guru Designs
Site Admin - Families with Food Allergies

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Linux 2.6.27-grsec/Apache 2.2.11/MySQL 5.0.67-community-log/PHP 5.2.8/DF 9.2.1


It should not be related to the two extensions I use, as I have been using those extensions for months without any such effect.

It all began when I switched on the automatic update function of the windows version of firefox. Now it happens any time when firefox install updates.

It never happens with my firefox on linux at home - maybe because there are no automatic updates there.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
SuSE 10.1, Apache/2.2.0, php 5.1.2, DragonFly 9.1.2.1


j_szucs wrote
I can no more visit www.cpgnuke.com with firefox:


Use: http://dragonflycms.org
Rather than
www.cpgnuke.com

Please enter your server specs in your user profile! 😢


Yes, dragonflycms.org is the 'official' site, any other domain may not work anymore.

J.
j e r u v y a t y a h o o d o t c o m

Need help? Look here: www.dragonflycms.org/W...d=112.html
Need to chat? Look for me on irc.freenode.net

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Ubuntu7.10/Debian3.1 - 2.2.3/1.3.37 - 5.0.38/4.0.27 - 5.2.1/4.4.7 - CVS/9.1.2}


I use firefox, what I find strange about this post is that when you download and install dragonfly there is a firefox image at the bottom suggesting you change to firefox. Why would the developers then ban firefox users if they recommend it to people?

Have a look at my new chat home: www.worldwidechatters.com
Looking for hosting www.caltonhosting.com

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


Bluefin221 wrote
I use firefox, what I find strange about this post is that when you download and install dragonfly there is a firefox image at the bottom suggesting you change to firefox. Why would the developers then ban firefox users if they recommend it to people?


What are you talking about? I don't even HAVE IE installed, I only use Firefox. NEVER have I EVER had a problem using FIREFOX period.

Perhaps you could be more clear about your problem, because it isn't the browser...

J.
j e r u v y a t y a h o o d o t c o m

Need help? Look here: www.dragonflycms.org/W...d=112.html
Need to chat? Look for me on irc.freenode.net

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Ubuntu7.10/Debian3.1 - 2.2.3/1.3.37 - 5.0.38/4.0.27 - 5.2.1/4.4.7 - CVS/9.1.2}


Jeruvy wrote
Bluefin221 wrote
I use firefox, what I find strange about this post is that when you download and install dragonfly there is a firefox image at the bottom suggesting you change to firefox. Why would the developers then ban firefox users if they recommend it to people?


What are you talking about? I don't even HAVE IE installed, I only use Firefox. NEVER have I EVER had a problem using FIREFOX period.

Perhaps you could be more clear about your problem, because it isn't the browser...


I think you should read my post again especially since I didn't mention IE and also pointed out that why would DF recommend FF to all who install it and then ban it.

Anyway my post was directed to the initial poster. I'll accept your apology now to save time. Laughing

Have a look at my new chat home: www.worldwidechatters.com
Looking for hosting www.caltonhosting.com

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


It's because Firefox should be supported and it generally is without any problems. You are the first one with that specific problem as much as I know. Go to here and tell us your User-Agent. If it's not default Firefox one then we will see it.


I prefer Opera Web Browser though.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
-


Bluefin221 wrote
Jeruvy wrote
Bluefin221 wrote
I use firefox, what I find strange about this post is that when you download and install dragonfly there is a firefox image at the bottom suggesting you change to firefox. Why would the developers then ban firefox users if they recommend it to people?


What are you talking about? I don't even HAVE IE installed, I only use Firefox. NEVER have I EVER had a problem using FIREFOX period.

Perhaps you could be more clear about your problem, because it isn't the browser...


I think you should read my post again especially since I didn't mention IE and also pointed out that why would DF recommend FF to all who install it and then ban it.

Anyway my post was directed to the initial poster. I'll accept your apology now to save time. Laughing


No apology for your mistake Cool

I think you should recheck and validate your concern, then let us know.

NEVER has anyone reported this problem except you bluefin221.

Not even the OP.

J.
j e r u v y a t y a h o o d o t c o m

Need help? Look here: www.dragonflycms.org/W...d=112.html
Need to chat? Look for me on irc.freenode.net

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Ubuntu7.10/Debian3.1 - 2.2.3/1.3.37 - 5.0.38/4.0.27 - 5.2.1/4.4.7 - CVS/9.1.2}


Jeruvy wrote
Bluefin221 wrote
Jeruvy wrote
Bluefin221 wrote
I use firefox, what I find strange about this post is that when you download and install dragonfly there is a firefox image at the bottom suggesting you change to firefox. Why would the developers then ban firefox users if they recommend it to people?


What are you talking about? I don't even HAVE IE installed, I only use Firefox. NEVER have I EVER had a problem using FIREFOX period.

Perhaps you could be more clear about your problem, because it isn't the browser...


I think you should read my post again especially since I didn't mention IE and also pointed out that why would DF recommend FF to all who install it and then ban it.

Anyway my post was directed to the initial poster. I'll accept your apology now to save time. Laughing


No apology for your mistake Cool

I think you should recheck and validate your concern, then let us know.

NEVER has anyone reported this problem except you bluefin221.

Not even the OP.


You're really misunderstanding my post AGAIN. I did not say anything about firefox having problems, my initial post was to the first user who said they experienced problems I asked the question "why would the developers suggest every dragonfly user change over to firefox from explorer and then ban firefox users"

Seriously read my posts repeatedly until you know exactly what I mean as you appear to have completely missed my point, not once but twice.

Have a look at my new chat home: www.worldwidechatters.com
Looking for hosting www.caltonhosting.com

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):



No apology for your mistake Cool

I think you should recheck and validate your concern, then let us know.

NEVER has anyone reported this problem except you bluefin221.

Not even the OP.


"why would the developers suggest every dragonfly user change over to firefox from explorer and then ban firefox users"


Lets review in full detail since your being very thick.

why would the developers


IOW, "Why would Nanocaidoro and DJMaze"

Is there a problem with this? No, lets continue,

suggest every dragonfly user change over to firefox from explorer


This is POORLY worded. They (being the developers) recommend Firefox, provide links to get it and even support it in what ways they can without supplanting Mozilla. Explorer is NOT a browser, but since you seem to think I don't understand you, then let me correct you.

INTERNET EXPLORER is a web browser, EXPLORER is a shell or as some refer a file browser. More accurately called "Windows Explorer". Let me give you wikipedia's definitions so you can clearly see them without misunderstanding me:

Web Browser

en.wikipedia.org/wiki/Web_browser

File Browser

en.wikipedia.org/wiki/File_manager

or, Shell

en.wikipedia.org/wiki/...mputing%29

Clear now?

Lets move forward:

and then ban firefox users


Where is the PROOF? Besides YOU, who has been banned for using firefox?

I do see a post where someone using FF3.0 was banned, but that was due to improper user-agent details, and the module not being updated with the correct info. I see many other examples in a similar light. Nothing like this comment of yours however.



AGAIN, since you can't grasp this concept. THEY DIDN'T.

"The developers RECOMMEND using Firefox."
"The developers HAVE NEVER BANNED A USER BECAUSE HE WAS USING FIREFOX"

Now if you're going to say I didn't read your post, I think that clearly elaborates I've read your point, and it's in error.

J.
j e r u v y a t y a h o o d o t c o m

Need help? Look here: www.dragonflycms.org/W...d=112.html
Need to chat? Look for me on irc.freenode.net

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
Ubuntu7.10/Debian3.1 - 2.2.3/1.3.37 - 5.0.38/4.0.27 - 5.2.1/4.4.7 - CVS/9.1.2}


Ah split the post from the original topic to make it look as if its me thats complaining.

I asked the original poster the above questions, he had stated he was banned with firefox, I explained this to you and yet you call me thick?

So basically to sum it up for you....

Poster says he was banned using firefox.

I say why would the developers do that when they recommend firefox to every user as when you install DF you have a firefox banner.

You then decide to ask me for proof about being banned with firefox when I said no such thing. I USE firefox myself, I'm using it to compose this post, I have never had a problem with firefox and DF.

Now read this until it sinks in:
I use firefox, what I find strange about this post is that when you download and install dragonfly there is a firefox image at the bottom suggesting you change to firefox. Why would the developers then ban firefox users if they recommend it to people?


Which was posted to the first person stating they had been banned using firefox.

Have a look at my new chat home: www.worldwidechatters.com
Looking for hosting www.caltonhosting.com

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):

All times are UTC